<%
    ' The textual arguments of the Active Label entries must be encoded this way
    Function EscapeString(s)
        Dim str
        str = s
        str = Replace(str,"\","\\")
        str = Replace(str,vbCr,"\r")
        str = Replace(str,vbLf,"\n")
        str = Replace(str,vbTab,"\t")
        str = Replace(str,"'","\q")
        str = Replace(str,"""","\Q")
        str = Replace(str,",","\c")
        str = Replace(str,";","\s")
        str = Replace(str,":","\C")
        EscapeString = str
    End Function

    Response.ContentType = "application/nw-activelabel"

    Dim Links(11),Dels(11), I
    Set fso = Server.CreateObject("Scripting.FileSystemObject")
    ' Load the links and the delete images
    Set fileLinks = fso.OpenTextFile(Server.MapPath("lbllinks.txt"),1)
    Set fileDels = fso.OpenTextFile(Server.MapPath("lbldels.txt"),1)
    For I = 0 To 11
        Links(I) = fileLinks.ReadLine
        Dels(I) = fileDels.ReadLine
    Next
    fileLinks.Close
    fileDels.Close
    
    Sub SendHomeBasePart
        Dim file
        Set file = fso.OpenTextFile(Server.MapPath("homepage-base.activelabel"),1)
        Response.Write file.ReadAll()
    End Sub
    
    Sub GenScreen(nStartLabel)
        Set folder = fso.GetFolder(Server.MapPath("."))
        Dim nCurrent
        Dim str
        Dim nPrevPage
        nCurrent = 0
        
        If Request("Del").Count > 0 Then
            fso.DeleteFolder Server.MapPath(Request("Del"))
        End If
        
        For Each f in folder.SubFolders
            If nCurrent >= nStartLabel And nCurrent < (nStartLabel + 12) Then
                str = Replace(Links(nCurrent - nStartLabel),"%Link%",EscapeString(f.Name & "/label.activelabel"))
                str = Replace(str,"%Capt%",f.Name)
                Response.Write str & vbCrLf
                str = Replace(Dels(nCurrent - nStartLabel),"%Link%",EscapeString("default.asp?Del=" & f.Name))
                Response.Write str & vbCrLf
            End If
            nCurrent = nCurrent + 1
        Next
        If nStartLabel > 0 Then
            nPrevPage = nStartLabel - 12
            If nPrevPage < 0 Then nPrevPage = 0
            Response.Write "LABEL:LinkPrev:5875,9050,8388608,15594483,-1,-1,Arial,400,1,0,0,-1,0:<< Previous:0,0,0,default.asp?StartLabel=" & nPrevPage & vbCrLf
        End If        
        If (nStartLabel + 12) < folder.SubFolders.Count Then
            Response.Write "LABEL:LinkNext:13975,9050,8388608,15594483,-1,-1,Arial,400,1,0,0,-1,0:Next >>:0,0,0,default.asp?StartLabel=" & (nStartLabel + 12) & vbCrLf
        End If
    End Sub
    
    
    Dim StartFrom
    StartFrom = 0
    If Request("StartLabel").Count > 0 Then
        StartFrom = CLng(Request("StartLabel"))
    End If
    
    SendHomeBasePart
    GenScreen StartFrom

%>